List connected social providers
GET
/auth/v1/providersReturns the list of social providers connected to the authenticated user's account.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.ListProvidersResponse",
"$ref-value": {
"properties": {
"providers": {
"items": {
"$ref": "#/components/schemas/authv1.Provider",
"$ref-value": {
"properties": {
"email_address": {
"type": "string"
},
"first_name": {
"type": "string"
},
"image_url": {
"type": "string"
},
"last_name": {
"type": "string"
},
"provider": {
"type": "string"
},
"username": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/providers"OK
application/json
{
"$ref": "#/components/schemas/authv1.ListProvidersResponse",
"$ref-value": {
"properties": {
"providers": {
"items": {
"$ref": "#/components/schemas/authv1.Provider",
"$ref-value": {
"properties": {
"email_address": {
"type": "string"
},
"first_name": {
"type": "string"
},
"image_url": {
"type": "string"
},
"last_name": {
"type": "string"
},
"provider": {
"type": "string"
},
"username": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}